'use strict';

(function () {

  function _obj() {}

  _obj.prototype = {

    setNext: function (next) {
      this.next = next;
    },

    identify: function (phone) {
      if (phone && phone.length == 11 && phone.charAt(0) == 0) {
        return 'zeroDddEightDigits';
      }
      return this.next.identify(phone);
    }
  };

  exports.zeroDddEightDigitsIdentifier = _obj;
}());
